Bug 394202 - Uppercase "D" doesn't find the same things as lowercase "d" does
Summary: Uppercase "D" doesn't find the same things as lowercase "d" does
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-13 11:45 UTC by Roman Gilg
Modified: 2018-05-16 11:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Gilg 2018-05-13 11:45:50 UTC
A single letter lower case search in contrast shows the categories.

See outcome here: https://www.reddit.com/r/linuxmasterrace/comments/8ixaao/i_fail_to_see_what_any_of_these_have_to_do_with/
Comment 1 Eike Hein 2018-05-16 10:45:31 UTC
This is a KRunner / service runner bug.

The reason the behavior is different in KRunner vs. Kicker is bug 376666: The KRunner/Milou UI currently always autocompletes from history. If you've ever lauched Dolphin, typing "D" will now autocomplete to "Dolphin" and then the query is re-run with "Dolphin" (limiting search results to that as a side-effect) which of course finds Dolphin. If you start KRunner with an empty config (ho history) instead "D" will find nothing as well.
Comment 2 Kai Uwe Broulik 2018-05-16 11:39:52 UTC
Git commit b998e68d1128a246d6d9371909ead63cc95dbfd6 by Kai Uwe Broulik.
Committed on 16/05/2018 at 11:39.
Pushed by broulik into branch 'Plasma/5.12'.

[Service Runner] Do startsWith check case-insensitive

This codepath is hit when the search query is very short. Fixes "D" and "d" finding different, sometimes no, results.
FIXED-IN: 5.12.6

Differential Revision: https://phabricator.kde.org/D12927

M  +1    -1    runners/services/servicerunner.cpp

https://commits.kde.org/plasma-workspace/b998e68d1128a246d6d9371909ead63cc95dbfd6